Docs
Scraping

Scrape a single URL

POST/scrape
AuthorizationBearer <token>

Enter your API key with the bc_ prefix

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

url?string

URL to scrape. Either url or domain is required.

domain?string

Domain to scrape. Normalized to https://domain when url is omitted.

formats?array<||||>

Output formats - can be simple strings or format objects with options

Default

[  "markdown"]
onlyMainContent?boolean

Extract only main content

Defaulttrue
includeTags?array<string>

CSS selectors to include

excludeTags?array<string>

CSS selectors to exclude

waitFor?number

Wait time before scraping (ms)

Default0
maxAge?number

Cache max age in milliseconds

Default172800000
timeout?number

Request timeout in milliseconds

Default30000
parsers?array<string>

Document parsers to enable

proxy?string

Proxy mode. auto starts direct and escalates only when blocked. basic is an alias for none.

Default"auto"

Value in

  • "none"
  • "basic"
  • "datacenter"
  • "residential"
  • "stealth"
  • "auto"
location?

Location settings

headers?

Custom headers

actions?array<string>

Browser actions to execute

storeInCache?boolean

Store result in cache

Defaulttrue
extractionSchema?

Schema for structured data extraction (used with json format)

mobile?boolean

Emulate mobile device for scraping

Defaultfalse
blockAds?boolean

Enable ad-blocking and cookie popup blocking

Defaulttrue
removeBase64Images?boolean

Remove base64 images from output (keeps alt text)

Defaulttrue
screenshotAsBase64?boolean

Return screenshot/PDF output inline as a base64 data URL instead of an uploaded CDN URL. Default false (a CDN URL is returned).

Defaultfalse
skipTlsVerification?boolean

Skip TLS certificate verification

Defaulttrue
zeroDataRetention?boolean

Enable zero data retention mode (requires activation)

Defaultfalse

Response Body

application/json

curl -X POST "https://example.com/scrape" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "data": {    "markdown": "# Page Title\n\nContent here...",    "html": "<h1>Page Title</h1>..."  },  "metadata": {    "url": "https://example.com",    "statusCode": 200,    "contentType": "text/html",    "title": "Example Domain",    "timestamp": "2025-10-28T12:00:00.000Z"  },  "credits": {    "used": 2  }}
Empty
Empty